@echo off
color 50
set Message=None.

:MainMenu
cls
title HyperRPG - Main menu
set /a Save=0
echo Welcome to HyperRPG: Main menu.
echo.
echo Message: %Message%
echo.
echo 0) Exit.
echo 1) Play.
echo 2) Lock all levels but 0 and 1.
echo 3) Unlock all levels (Cheat)
echo.
set /p Choice=Pick an option: 
if %Choice%==0 goto:eof
if %Choice%==1 goto :PlayMenu
if %Choice%==2 goto :LockLvls
if %Choice%==3 goto :UnlockLv
set Message=Invalid option.
goto :MainMenu

:PlayMenu
cls
title HyperRPG - Play menu
echo Welcome to HyperRPG: Play menu.
echo.
set /p Choice=Pick a level (0-7): 
if not exist Levels\%Choice%.bat set Message=Invalid level.
if not exist Levels\%Choice%.bat goto :MainMenu
if %Choice% GTR 0 set /a Save=%Choice%-1
if not exist Saves\%Save%.sav set Message=Locked level.
if not exist Saves\%Save%.sav goto :MainMenu
start "HyperRPG - Level %Choice%" /max /w CMD /v:on /k Levels\%Choice%.bat 1
set Message=None.
goto :MainMenu

:LockLvls
set /a Save=%Save%+1
del Saves\%Save%.sav /q 2>nul
if %Save%==7 set Message=All levels locked but 0 and 1.
if %Save%==7 goto :MainMenu
goto :LockLvls

:UnlockLv
set /a Save=%Save%+1
copy Saves\0.sav Saves\%Save%.sav /y >nul
if %Save%==7 set Message=All levels unlocked.
if %Save%==7 goto :MainMenu
goto UnlockLv
